Summary: Supports reading and manipulating the UEFI signatures database
Name: efitools
Version: git
Release: r12.0
License: GPLv2
Group: console/utils
Packager: Wind River <info@windriver.com>
BuildRequires: virtual/libc
BuildRequires: openssl
BuildRequires: gnu-efi
BuildRequires: openssl-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcrypto.so.1.0.0()(64bit)
Requires: /bin/bash
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.20+sdkwrl7+19
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: openssl
Requires: libcrypto1.0.0 >= 1.0.1j
Requires: /bin/sh
Requires: libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Provides: elf(buildid) = 965646ea32d47cc423732fabbd499811216c3830
Provides: elf(buildid) = ecaee17b63623d33ce60d379ef5fd1c61b5922e0
Provides: elf(buildid) = dbda66392a5de279bb67c79f76d022c5a2de134c
Provides: elf(buildid) = 257b8275319fcdd59d400c48250f5a30c253cd51
Provides: elf(buildid) = 57bd8ecd8d7548db2a58190bcf981a1e7f6c30f9
Provides: elf(buildid) = 7f5fbc07ede2446bc25abb1a76513eff33e2ff13
Provides: elf(buildid) = a1b135af60163ce0f1581090ed5723a21c19ee18
Provides: elf(buildid) = ed7bc210608aa05938b6773582a3c0b13e0bbf7b

%description
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.

%package -n efitools-dbg
Summary: Supports reading and manipulating the UEFI signatures database - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libcrypto-dbg
Recommends: efitools = git-r12.0

%description -n efitools-dbg
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains ELF symbols and related
sources for debugging purposes.

%package -n efitools-dev
Summary: Supports reading and manipulating the UEFI signatures database - Development files
Group: devel
Requires: efitools = git-r12.0
Suggests: libc6-dev
Suggests: openssl-dev
Suggests: gnu-efi-dev
Suggests: libcrypto-dev

%description -n efitools-dev
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains symbolic links, header files,
and related items necessary for software development.

%package -n efitools-staticdev
Summary: Supports reading and manipulating the UEFI signatures database - Development files (Static Libraries)
Group: devel
Requires: efitools-dev = git-r12.0

%description -n efitools-staticdev
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains static libraries for software
development.

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/usr"
%dir "/etc/init.d"
%dir "/etc/rc3.d"
"/etc/init.d/keytool"
"/etc/rc3.d/S99keytool"
%dir "/usr/bin"
"/usr/bin/cert-to-efi-hash-list"
"/usr/bin/sb-sig-verify.sh"
"/usr/bin/flash-var"
"/usr/bin/hash-to-efi-sig-list"
"/usr/bin/sign-efi-sig-list"
"/usr/bin/efitool-mkusb"
"/usr/bin/efi-updatevar"
"/usr/bin/efi-readvar"
"/usr/bin/sig-list-to-certs"
"/usr/bin/sb-status.sh"
"/usr/bin/cert-to-efi-sig-list"
"/usr/bin/OsIndicate.sh"

%files -n efitools-dbg
%defattr(-,-,-,-)

%files -n efitools-dev
%defattr(-,-,-,-)

